import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Input, Select, Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user";
import {DescItem} from "@/components/Description";
import {uploadApi} from "@/api/sys/upload"; // 引入开关组件
type CheckedType = boolean | string | number;

/**首页-table列表*/
export const columns: BasicColumn[] = [
  {
    title: '发生时间',
    dataIndex: 'startTime',
    width: 120
  },
  {
    title: '任务名称',
    dataIndex: 'taskName',
    width: 120
  },
  {
    title: '事件类型',
    dataIndex: 'eventType',
    width: 120
  },
  {
    title: '事件名称',
    dataIndex: 'eventName',
    width: 120
  },
  {
    title: '同步点',
    dataIndex: 'syncPoint',
    width: 120
  }
];
/**首页-搜索表单*/
export const searchFormSchema: FormSchema[] = [
  {
    field: 'taskName',
    label: '',
    component: 'Input',
    rules: [
      {
        required: true,
        message: '请输入关键字搜索',
      },
    ],
    componentProps: {
      placeholder: '请输入关键字搜索',
    }
  },
];
/**首页-下拉框表单*/
export const selectFormSchema: FormSchema[] = [
  {
    field: 'tree',
    label: '',
    component: 'TreeSelect',
    colProps: { span: 10 },
    componentProps: {
      maxTagCount:1,//最大tag数量
      showArrow: true,//箭头
      treeCheckable: true,
      fieldNames: {
        label: 'treeName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
  },
  {
    field: '[startDate, endDate]',
    label: '',
    component: 'RangePicker',
    componentProps: {
      format: 'YYYY-MM-DD',
      placeholder: ['开始日期', '结束日期'],
    },
    colProps: { span:10 },
  },
];
