import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user";
import {relatedQualityColumns} from "@/views/dataStandards/basicStandards/basicStandards.data";
import {GrowCardItem} from "@/views/dashboard/analysis/data"; // 引入开关组件
type CheckedType = boolean | string | number;

/**主页面树/列表 数据*/
export const TreeData: any[] = [
  {
    businessId: 100,
    treeName: '全选',
    anotherName: '全选',
    parentId: 0,
  },
  {
    businessId: 201,
    treeName: '共享工作区',
    anotherName: '共享工作区',
    parentId: 100,
  },
  {
    businessId: 202,
    treeName: '商城工作区',
    anotherName: '商城工作区',
    parentId: 100,
  },
  {
    businessId: 203,
    treeName: 'admin个人工作区',
    anotherName: 'admin个人工作区',
    parentId: 100,
  },
];

/**主页面列表 数据*/
export const tableData: any[] =[
  {
    startTime:'2023-06-28 20:29:48',
    taskName:'oracle-mysql',
    eventType:'状态切换',
    eventName:'源端任务启动',
    syncPoint:'-'
  },
  {
    startTime:'2023-06-28 20:25:36',
    taskName:'oracle-mysql',
    eventType:'状态切换',
    eventName:'目标端任务启动',
    syncPoint:'-'
  },
  {
    startTime:'2023-06-28 20:14:26',
    taskName:'oracle-mysql',
    eventType:'状态切换',
    eventName:'源端任务启动',
    syncPoint:'-'
  },
  {
    startTime:'2023-06-28 20:25:33',
    taskName:'oracle-mysql',
    eventType:'状态切换',
    eventName:'目标端任务启动',
    syncPoint:'-'
  },
  {
    startTime:'2023-06-28 20:12:32',
    taskName:'oracle-mysql',
    eventType:'状态切换',
    eventName:'源端任务启动',
    syncPoint:'-'
  },
  {
    startTime:'2023-06-28 20:14:48',
    taskName:'oracle-mysql',
    eventType:'状态切换',
    eventName:'目标端任务启动',
    syncPoint:'-'
  },
  {
    startTime:'2023-06-28 20:27:28',
    taskName:'oracle-mysql',
    eventType:'系统异常',
    eventName:'源端任务启动',
    syncPoint:'-'
  },
  {
    startTime:'2023-06-28 20:28:29',
    taskName:'oracle-mysql',
    eventType:'数据异常',
    eventName:'源端任务启动',
    syncPoint:'mysql-bin.00203,41944023'
  },
  {
    startTime:'2023-06-28 20:23:24',
    taskName:'oracle-mysql',
    eventType:'策略告警',
    eventName:'源端任务启动',
    syncPoint:'-'
  },
]
/**主页面 左侧List*/
export const cardList:any[] = [
  {
    id: 2,
    desc: 'gxx/jira/test',
    title: 'test',
    icon: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    id: 3,
    desc: 'gxx/jira/90017-4',
    title: '90017-4',
    icon: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    id: 4,
    desc: 'gxx/jira/字段映射',
    title: '字段映射',
    icon: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    id: 5,
    desc: 'gxx/jira/wuqi_test',
    title: 'wuqi_test',
    icon: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    id: 5,
    desc: 'gxx/jira/目标端规则顺序生效问题',
    title: '目标端规则顺序生效问题',
    icon: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    id: 5,
    desc: 'gxx/jira/oracle-argo-吞如-单表-test',
    title: 'oracle-argo-吞如-单表-test',
    icon: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    id: 5,
    desc: 'admin-个人工作区/xuekai/多个映射规则配置',
    title: '多个映射规则配置',
    icon: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    id: 5,
    desc: 'gxx/jira/oracle-mysql',
    title: 'oracle-mysql',
    icon: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
]
